SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000890SiT!reportspublic2009-08-19 15:412010-03-27 12:31
Reporterdavidsteward 
Assigned Topaulh 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.60 LTSFixed in Version3.60 LTS 
Summary0000890: Reports not including statistics from Incidents logged for customers
DescriptionReports are not including data for all incidents. The reports are ignoring incidents logged by users at sites with 'all contacts at this site' enabled against their maintenance contract. Enabling this option fails to add all the required contact ids to the 'supportcontacts' table therefore many incidents are missing from the reports. Specifically 'recent incidents' and 'average incident duration', but probably all of them?
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001782)
ivan (administrator)
2009-08-19 17:28

Confirmed for recent incidents report, I expect you're right and other reports are affected by this. (3.50rc1) Thanks.
(0002294)
davidsteward (reporter)
2010-01-20 17:21

I have modified the 'recent incidents' sql query within Report_incidents_recent.php to address what I belive the bug is. I removed lines 44 and 45:-

$sql .= "AND m.id = sc.maintenanceid ";
$sql .= "AND sc.contactid = i.contact ";

and replaced with this which accounts for contracts with 'all users supported' enabled, rather than specifying each individual contact:-

sql .= "AND ((m.id = sc.maintenanceid AND sc.contactid = i.contact) OR (m.allcontactssupported = 'yes' AND i.contact in (select id from contacts where siteid = s.id)))";

No guarantees this is either correct or efficient, but it seems to work great on my system! Hope it helps.
User avatar (0002664)
paulh (administrator)
2010-03-13 14:13

Effected reports are:

report_incidents_recent.php
report_customer_contracts.php
report_marketing.php
User avatar (0002667)
paulh (administrator)
2010-03-13 14:45

report_customer_contracts.php - Hard coded to 4 contacts, going to add additional field I think for 'all site'
User avatar (0002669)
paulh (administrator)
2010-03-13 15:56

r6231 and fb2eb4a resolve

report_incidents_recent.php
report_customer_contracts.php

report_marketing.php will be more difficult just to the use of LEFT JOINs which make this difficult
User avatar (0002868)
ivan (administrator)
2010-03-25 13:47

There's no point trying to do this on the marketing report, it only really make sense when using named contacts for that one. I'm calling this one resolved.

We have a doc day coming up, if the report gets documented then I'll try and remember to make a note.

- Issue History
Date Modified Username Field Change
2009-08-19 15:41 davidsteward New Issue
2009-08-19 17:28 ivan Note Added: 0001782
2009-08-19 17:28 ivan Status new => confirmed
2010-01-20 17:21 davidsteward Note Added: 0002294
2010-02-21 21:47 ivan Target Version => 3.60 LTS
2010-02-25 21:21 paulh Status confirmed => assigned
2010-02-25 21:21 paulh Assigned To => paulh
2010-03-13 14:13 paulh Note Added: 0002664
2010-03-13 14:45 paulh Note Added: 0002667
2010-03-13 15:56 paulh Note Added: 0002669
2010-03-25 13:47 ivan Note Added: 0002868
2010-03-25 13:47 ivan Status assigned => resolved
2010-03-25 13:47 ivan Fixed in Version => 3.60 LTS
2010-03-25 13:47 ivan Resolution open => fixed
2010-03-27 12:31 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker